/**
 * alTrace; a debugging tool for OpenAL.
 *
 * Please see the file LICENSE.txt in the source's root directory.
 *
 *  This file written by Ryan C. Gordon.
 */

#ifndef ENTRYPOINTVOID
#define ENTRYPOINTVOID(name,params,args,numargs,visitparams,visitargs) ENTRYPOINT(void,name,params,args,numargs,visitparams,visitargs)
#endif
#ifndef ENTRYPOINT_EXTENSIONS_BEGIN
#define ENTRYPOINT_EXTENSIONS_BEGIN()
#endif

ENTRYPOINT(ALCcontext *,alcGetCurrentContext,(void),(),0,(CallerInfo *callerinfo, ALCcontext *retval),(callerinfo,retval))
ENTRYPOINT(ALCdevice *,alcGetContextsDevice,(ALCcontext *context),(context),1,(CallerInfo *callerinfo, ALCdevice *retval, ALCcontext *context),(callerinfo,retval,context))
ENTRYPOINT(ALCboolean,alcIsExtensionPresent,(ALCdevice *device, const ALCchar *extname),(device,extname),2,(CallerInfo *callerinfo, ALCboolean retval, ALCdevice *device, const ALCchar *extname),(callerinfo,retval,device,extname))
ENTRYPOINT(void *,alcGetProcAddress,(ALCdevice *device, const ALCchar *funcname),(device,funcname),2,(CallerInfo *callerinfo, void *retval, ALCdevice *device, const ALCchar *funcname),(callerinfo,retval,device,funcname))
ENTRYPOINT(ALCenum,alcGetEnumValue,(ALCdevice *device, const ALCchar *enumname),(device,enumname),2,(CallerInfo *callerinfo, ALCenum retval, ALCdevice *device, const ALCchar *enumname),(callerinfo,retval,device,enumname))
ENTRYPOINT(const ALCchar *,alcGetString,(ALCdevice *device, ALCenum param),(device,param),2,(CallerInfo *callerinfo, const ALCchar *retval, ALCdevice *device, ALCenum param),(callerinfo,retval,device,param))
ENTRYPOINT(ALCdevice *,alcCaptureOpenDevice,(const ALCchar *devicename, ALCuint frequency, ALCenum format, ALCsizei buffersize),(devicename,frequency,format,buffersize),4,(CallerInfo *callerinfo, ALCdevice *retval, const ALCchar *devicename, ALCuint frequency, ALCenum format, ALCsizei buffersize, ALint major_version, ALint minor_version, const ALCchar *devspec, const ALCchar *extensions),(callerinfo,retval,devicename,frequency,format,buffersize,major_version,minor_version,devspec,extensions))
ENTRYPOINT(ALCboolean,alcCaptureCloseDevice,(ALCdevice *device),(device),1,(CallerInfo *callerinfo, ALCboolean retval, ALCdevice *device),(callerinfo,retval,device))
ENTRYPOINT(ALCdevice *,alcOpenDevice,(const ALCchar *devicename),(devicename),1,(CallerInfo *callerinfo, ALCdevice *retval, const ALCchar *devicename, ALint major_version, ALint minor_version, const ALCchar *devspec, const ALCchar *extensions),(callerinfo,retval,devicename,major_version,minor_version,devspec,extensions))
ENTRYPOINT(ALCboolean,alcCloseDevice,(ALCdevice *device),(device),1,(CallerInfo *callerinfo, ALCboolean retval, ALCdevice *device),(callerinfo,retval,device))
ENTRYPOINT(ALCcontext *,alcCreateContext,(ALCdevice *device, const ALCint *attrlist),(device,attrlist),2,(CallerInfo *callerinfo, ALCcontext *retval, ALCdevice *device, const ALCint *origattrlist, uint32 attrcount, const ALCint *attrlist),(callerinfo,retval,device,origattrlist,attrcount,attrlist))
ENTRYPOINT(ALCboolean,alcMakeContextCurrent,(ALCcontext *ctx),(ctx),1,(CallerInfo *callerinfo, ALCboolean retval, ALCcontext *ctx),(callerinfo,retval,ctx))
ENTRYPOINTVOID(alcProcessContext,(ALCcontext *ctx),(ctx),1,(CallerInfo *callerinfo, ALCcontext *ctx),(callerinfo,ctx))
ENTRYPOINTVOID(alcSuspendContext,(ALCcontext *ctx),(ctx),1,(CallerInfo *callerinfo, ALCcontext *ctx),(callerinfo,ctx))
ENTRYPOINTVOID(alcDestroyContext,(ALCcontext *ctx),(ctx),1,(CallerInfo *callerinfo, ALCcontext *ctx),(callerinfo,ctx))
ENTRYPOINT(ALCenum,alcGetError,(ALCdevice *device),(device),1,(CallerInfo *callerinfo, ALCenum retval, ALCdevice *device),(callerinfo,retval,device))
ENTRYPOINTVOID(alcGetIntegerv,(ALCdevice *device, ALCenum param, ALCsizei size, ALCint *values),(device,param,size,values),4,(CallerInfo *callerinfo, ALCdevice *device, ALCenum param, ALCsizei size, ALCint *origvalues, ALCboolean isbool, ALCint *values),(callerinfo,device,param,size,origvalues,isbool,values))
ENTRYPOINTVOID(alcCaptureStart,(ALCdevice *device),(device),1,(CallerInfo *callerinfo, ALCdevice *device),(callerinfo,device))
ENTRYPOINTVOID(alcCaptureStop,(ALCdevice *device),(device),1,(CallerInfo *callerinfo, ALCdevice *device),(callerinfo,device))
ENTRYPOINTVOID(alcCaptureSamples,(ALCdevice *device, ALCvoid *buffer, ALCsizei samples),(device,buffer,samples),3,(CallerInfo *callerinfo, ALCdevice *device, ALCvoid *origbuffer, ALCvoid *buffer, ALCsizei bufferlen, ALCsizei samples),(callerinfo,device,origbuffer,buffer,bufferlen,samples))
ENTRYPOINTVOID(alDopplerFactor,(ALfloat value),(value),1,(CallerInfo *callerinfo, ALfloat value),(callerinfo,value))
ENTRYPOINTVOID(alDopplerVelocity,(ALfloat value),(value),1,(CallerInfo *callerinfo, ALfloat value),(callerinfo,value))
ENTRYPOINTVOID(alSpeedOfSound,(ALfloat value),(value),1,(CallerInfo *callerinfo, ALfloat value),(callerinfo,value))
ENTRYPOINTVOID(alDistanceModel,(ALenum model),(model),1,(CallerInfo *callerinfo, ALenum model),(callerinfo,model))
ENTRYPOINTVOID(alEnable,(ALenum capability),(capability),1,(CallerInfo *callerinfo, ALenum capability),(callerinfo,capability))
ENTRYPOINTVOID(alDisable,(ALenum capability),(capability),1,(CallerInfo *callerinfo, ALenum capability),(callerinfo,capability))
ENTRYPOINT(ALboolean,alIsEnabled,(ALenum capability),1,(capability),(CallerInfo *callerinfo, ALboolean retval, ALenum capability),(callerinfo,retval,capability))
ENTRYPOINT(const ALchar *,alGetString,(const ALenum param),(param),1,(CallerInfo *callerinfo, const ALchar *retval, const ALenum param),(callerinfo,retval,param))
ENTRYPOINTVOID(alGetBooleanv,(ALenum param, ALboolean *values),(param,values),2,(CallerInfo *callerinfo, ALenum param, ALboolean *origvalues, uint32 numvals, ALboolean *values),(callerinfo,param,origvalues,numvals,values))
ENTRYPOINTVOID(alGetIntegerv,(ALenum param, ALint *values),(param,values),2,(CallerInfo *callerinfo, ALenum param, ALint *origvalues, uint32 numvals, ALboolean isenum, ALint *values),(callerinfo,param,origvalues,numvals,isenum,values))
ENTRYPOINTVOID(alGetFloatv,(ALenum param, ALfloat *values),(param,values),2,(CallerInfo *callerinfo, ALenum param, ALfloat *origvalues, uint32 numvals, ALfloat *values),(callerinfo,param,origvalues,numvals,values))
ENTRYPOINTVOID(alGetDoublev,(ALenum param, ALdouble *values),(param,values),2,(CallerInfo *callerinfo, ALenum param, ALdouble *origvalues, uint32 numvals, ALdouble *values),(callerinfo,param,origvalues,numvals,values))
ENTRYPOINT(ALboolean,alGetBoolean,(ALenum param),(param),1,(CallerInfo *callerinfo, ALboolean retval, ALenum param),(callerinfo,retval,param))
ENTRYPOINT(ALint,alGetInteger,(ALenum param),(param),1,(CallerInfo *callerinfo, ALint retval, ALenum param),(callerinfo,retval,param))
ENTRYPOINT(ALfloat,alGetFloat,(ALenum param),(param),1,(CallerInfo *callerinfo, ALfloat retval, ALenum param),(callerinfo,retval,param))
ENTRYPOINT(ALdouble,alGetDouble,(ALenum param),(param),1,(CallerInfo *callerinfo, ALdouble retval, ALenum param),(callerinfo,retval,param))
ENTRYPOINT(ALboolean,alIsExtensionPresent,(const ALchar *extname),(extname),1,(CallerInfo *callerinfo, ALboolean retval, const ALchar *extname),(callerinfo,retval,extname))
ENTRYPOINT(ALenum,alGetError,(void),(),0,(CallerInfo *callerinfo, ALenum retval),(callerinfo,retval))
ENTRYPOINT(void *,alGetProcAddress,(const ALchar *funcname),(funcname),1,(CallerInfo *callerinfo, void *retval, const ALchar *funcname),(callerinfo,retval,funcname))
ENTRYPOINT(ALenum,alGetEnumValue,(const ALchar *enumname),(enumname),1,(CallerInfo *callerinfo, ALenum retval, const ALchar *enumname),(callerinfo,retval,enumname))
ENTRYPOINTVOID(alListenerfv,(ALenum param, const ALfloat *values),(param,values),2,(CallerInfo *callerinfo, ALenum param, const ALfloat *origvalues, uint32 numvals, const ALfloat *values),(callerinfo,param,origvalues,numvals,values))
ENTRYPOINTVOID(alListenerf,(ALenum param, ALfloat value),(param,value),2,(CallerInfo *callerinfo, ALenum param, ALfloat value),(callerinfo,param,value))
ENTRYPOINTVOID(alListener3f,(ALenum param, ALfloat value1, ALfloat value2, ALfloat value3),(param,value1,value2,value3),4,(CallerInfo *callerinfo, ALenum param, ALfloat value1, ALfloat value2, ALfloat value3),(callerinfo,param,value1,value2,value3))
ENTRYPOINTVOID(alListeneriv,(ALenum param, const ALint *values),(param,values),2,(CallerInfo *callerinfo, ALenum param, const ALint *origvalues, uint32 numvals, const ALint *values),(callerinfo,param,origvalues,numvals,values))
ENTRYPOINTVOID(alListeneri,(ALenum param, ALint value),(param,value),2,(CallerInfo *callerinfo, ALenum param, ALint value),(callerinfo,param,value))
ENTRYPOINTVOID(alListener3i,(ALenum param, ALint value1, ALint value2, ALint value3),(param,value1,value2,value3),4,(CallerInfo *callerinfo, ALenum param, ALint value1, ALint value2, ALint value3),(callerinfo,param,value1,value2,value3))
ENTRYPOINTVOID(alGetListenerfv,(ALenum param, ALfloat *values),(param,values),2,(CallerInfo *callerinfo, ALenum param, ALfloat *origvalues, uint32 numvals, ALfloat *values),(callerinfo,param,origvalues,numvals,values))
ENTRYPOINTVOID(alGetListenerf,(ALenum param, ALfloat *value),(param,value),2,(CallerInfo *callerinfo, ALenum param, ALfloat *origvalue, ALfloat value),(callerinfo,param,origvalue,value))
ENTRYPOINTVOID(alGetListener3f,(ALenum param, ALfloat *value1, ALfloat *value2, ALfloat *value3),(param,value1,value2,value3),4,(CallerInfo *callerinfo, ALenum param, ALfloat *origvalue1, ALfloat *origvalue2, ALfloat *origvalue3, ALfloat value1, ALfloat value2, ALfloat value3),(callerinfo,param,origvalue1,origvalue2,origvalue3,value1,value2,value3))
ENTRYPOINTVOID(alGetListeneri,(ALenum param, ALint *value),(param,value),2,(CallerInfo *callerinfo, ALenum param, ALint *origvalue, ALint value),(callerinfo,param,origvalue,value))
ENTRYPOINTVOID(alGetListeneriv,(ALenum param, ALint *values),(param,values),2,(CallerInfo *callerinfo, ALenum param, ALint *origvalues, uint32 numvals, ALint *values),(callerinfo,param,origvalues,numvals,values))
ENTRYPOINTVOID(alGetListener3i,(ALenum param, ALint *value1, ALint *value2, ALint *value3),(param,value1,value2,value3),4,(CallerInfo *callerinfo, ALenum param, ALint *origvalue1, ALint *origvalue2, ALint *origvalue3, ALint value1, ALint value2, ALint value3),(callerinfo,param,origvalue1,origvalue2,origvalue3,value1,value2,value3))
ENTRYPOINTVOID(alGenSources,(ALsizei n, ALuint *names),(n,names),2,(CallerInfo *callerinfo, ALsizei n, ALuint *orignames, ALuint *names),(callerinfo,n,orignames,names))
ENTRYPOINTVOID(alDeleteSources,(ALsizei n, const ALuint *names),(n,names),2,(CallerInfo *callerinfo, ALsizei n, const ALuint *orignames, const ALuint *names),(callerinfo,n,orignames,names))
ENTRYPOINT(ALboolean,alIsSource,(ALuint name),(name),1,(CallerInfo *callerinfo, ALboolean retval, ALuint name),(callerinfo,retval,name))
ENTRYPOINTVOID(alSourcefv,(ALuint name, ALenum param, const ALfloat *values),(name,param,values),3,(CallerInfo *callerinfo, ALuint name, ALenum param, const ALfloat *origvalues, uint32 numvals, const ALfloat *values),(callerinfo,name,param,origvalues,numvals,values))
ENTRYPOINTVOID(alSourcef,(ALuint name, ALenum param, ALfloat value),(name,param,value),3,(CallerInfo *callerinfo, ALuint name, ALenum param, ALfloat value),(callerinfo,name,param,value))
ENTRYPOINTVOID(alSource3f,(ALuint name, ALenum param, ALfloat value1, ALfloat value2, ALfloat value3),(name,param,value1,value2,value3),5,(CallerInfo *callerinfo, ALuint name, ALenum param, ALfloat value1, ALfloat value2, ALfloat value3),(callerinfo,name,param,value1,value2,value3))
ENTRYPOINTVOID(alSourceiv,(ALuint name, ALenum param, const ALint *values),(name,param,values),3,(CallerInfo *callerinfo, ALuint name, ALenum param, const ALint *origvalues, uint32 numvals, const ALint *values),(callerinfo,name,param,origvalues,numvals,values))
ENTRYPOINTVOID(alSourcei,(ALuint name, ALenum param, ALint value),(name,param,value),3,(CallerInfo *callerinfo, ALuint name, ALenum param, ALint value),(callerinfo,name,param,value))
ENTRYPOINTVOID(alSource3i,(ALuint name, ALenum param, ALint value1, ALint value2, ALint value3),(name,param,value1,value2,value3),5,(CallerInfo *callerinfo, ALuint name, ALenum param, ALint value1, ALint value2, ALint value3),(callerinfo,name,param,value1,value2,value3))
ENTRYPOINTVOID(alGetSourcefv,(ALuint name, ALenum param, ALfloat *values),(name,param,values),3,(CallerInfo *callerinfo, ALuint name, ALenum param, ALfloat *origvalues, uint32 numvals, ALfloat *values),(callerinfo,name,param,origvalues,numvals,values))
ENTRYPOINTVOID(alGetSourcef,(ALuint name, ALenum param, ALfloat *value),(name,param,value),3,(CallerInfo *callerinfo, ALuint name, ALenum param, ALfloat *origvalue, ALfloat value),(callerinfo,name,param,origvalue,value))
ENTRYPOINTVOID(alGetSource3f,(ALuint name, ALenum param, ALfloat *value1, ALfloat *value2, ALfloat *value3),(name,param,value1,value2,value3),5,(CallerInfo *callerinfo, ALuint name, ALenum param, ALfloat *origvalue1, ALfloat *origvalue2, ALfloat *origvalue3, ALfloat value1, ALfloat value2, ALfloat value3),(callerinfo,name,param,origvalue1,origvalue2,origvalue3,value1,value2,value3))
ENTRYPOINTVOID(alGetSourceiv,(ALuint name, ALenum param, ALint *values),(name,param,values),3,(CallerInfo *callerinfo, ALuint name, ALenum param, ALboolean isenum, ALint *origvalues, uint32 numvals, ALint *values),(callerinfo,name,param,isenum,origvalues,numvals,values))
ENTRYPOINTVOID(alGetSourcei,(ALuint name, ALenum param, ALint *value),(name,param,value),3,(CallerInfo *callerinfo, ALuint name, ALenum param, ALboolean isenum, ALint *origvalue, ALint value),(callerinfo,name,param,isenum,origvalue,value))
ENTRYPOINTVOID(alGetSource3i,(ALuint name, ALenum param, ALint *value1, ALint *value2, ALint *value3),(name,param,value1,value2,value3),5,(CallerInfo *callerinfo, ALuint name, ALenum param, ALint *origvalue1, ALint *origvalue2, ALint *origvalue3, ALint value1, ALint value2, ALint value3),(callerinfo,name,param,origvalue1,origvalue2,origvalue3,value1,value2,value3))
ENTRYPOINTVOID(alSourcePlay,(ALuint name),(name),1,(CallerInfo *callerinfo, ALuint name),(callerinfo,name))
ENTRYPOINTVOID(alSourcePlayv,(ALsizei n, const ALuint *names),(n, names),2,(CallerInfo *callerinfo, ALsizei n, const ALuint *orignames, const ALuint *names),(callerinfo,n,orignames,names))
ENTRYPOINTVOID(alSourcePause,(ALuint name),(name),1,(CallerInfo *callerinfo, ALuint name),(callerinfo,name))
ENTRYPOINTVOID(alSourcePausev,(ALsizei n, const ALuint *names),(n, names),2,(CallerInfo *callerinfo, ALsizei n, const ALuint *orignames, const ALuint *names),(callerinfo,n,orignames,names))
ENTRYPOINTVOID(alSourceRewind,(ALuint name),(name),1,(CallerInfo *callerinfo, ALuint name),(callerinfo,name))
ENTRYPOINTVOID(alSourceRewindv,(ALsizei n, const ALuint *names),(n, names),2,(CallerInfo *callerinfo, ALsizei n, const ALuint *orignames, const ALuint *names),(callerinfo,n,orignames,names))
ENTRYPOINTVOID(alSourceStop,(ALuint name),(name),1,(CallerInfo *callerinfo, ALuint name),(callerinfo,name))
ENTRYPOINTVOID(alSourceStopv,(ALsizei n, const ALuint *names),(n, names),2,(CallerInfo *callerinfo, ALsizei n, const ALuint *orignames, const ALuint *names),(callerinfo,n,orignames,names))
ENTRYPOINTVOID(alSourceQueueBuffers,(ALuint name, ALsizei nb, const ALuint *bufnames),(name,nb,bufnames),3,(CallerInfo *callerinfo, ALuint name, ALsizei nb, const ALuint *origbufnames, const ALuint *bufnames),(callerinfo,name,nb,origbufnames,bufnames))
ENTRYPOINTVOID(alSourceUnqueueBuffers,(ALuint name, ALsizei nb, ALuint *bufnames),(name,nb,bufnames),3,(CallerInfo *callerinfo, ALuint name, ALsizei nb, ALuint *origbufnames, ALuint *bufnames),(callerinfo,name,nb,origbufnames,bufnames))
ENTRYPOINTVOID(alGenBuffers,(ALsizei n, ALuint *names),(n,names),2,(CallerInfo *callerinfo, ALsizei n, ALuint *orignames, ALuint *names),(callerinfo,n,orignames,names))
ENTRYPOINTVOID(alDeleteBuffers,(ALsizei n, const ALuint *names),(n,names),2,(CallerInfo *callerinfo, ALsizei n, const ALuint *orignames, const ALuint *names),(callerinfo,n,orignames,names))
ENTRYPOINT(ALboolean,alIsBuffer,(ALuint name),(name),1,(CallerInfo *callerinfo, ALboolean retval, ALuint name),(callerinfo,retval,name))
ENTRYPOINTVOID(alBufferData,(ALuint name, ALenum alfmt, const ALvoid *data, ALsizei size, ALsizei freq),(name,alfmt,data,size,freq),5,(CallerInfo *callerinfo, ALuint name, ALenum alfmt, const ALvoid *origdata, const ALvoid *data, ALsizei size, ALsizei freq),(callerinfo,name,alfmt,origdata,data,size,freq))
ENTRYPOINTVOID(alBufferfv,(ALuint name, ALenum param, const ALfloat *values),(name,param,values),3,(CallerInfo *callerinfo, ALuint name, ALenum param, const ALfloat *origvalues, uint32 numvals, const ALfloat *values),(callerinfo,name,param,origvalues,numvals,values))
ENTRYPOINTVOID(alBufferf,(ALuint name, ALenum param, ALfloat value),(name,param,value),3,(CallerInfo *callerinfo, ALuint name, ALenum param, ALfloat value),(callerinfo,name,param,value))
ENTRYPOINTVOID(alBuffer3f,(ALuint name, ALenum param, ALfloat value1, ALfloat value2, ALfloat value3),(name,param,value1,value2,value3),5,(CallerInfo *callerinfo, ALuint name, ALenum param, ALfloat value1, ALfloat value2, ALfloat value3),(callerinfo,name,param,value1,value2,value3))
ENTRYPOINTVOID(alBufferiv,(ALuint name, ALenum param, const ALint *values),(name,param,values),3,(CallerInfo *callerinfo, ALuint name, ALenum param, const ALint *origvalues, uint32 numvals, const ALint *values),(callerinfo,name,param,origvalues,numvals,values))
ENTRYPOINTVOID(alBufferi,(ALuint name, ALenum param, ALint value),(name,param,value),3,(CallerInfo *callerinfo, ALuint name, ALenum param, ALint value),(callerinfo,name,param,value))
ENTRYPOINTVOID(alBuffer3i,(ALuint name, ALenum param, ALint value1, ALint value2, ALint value3),(name,param,value1,value2,value3),5,(CallerInfo *callerinfo, ALuint name, ALenum param, ALint value1, ALint value2, ALint value3),(callerinfo,name,param,value1,value2,value3))
ENTRYPOINTVOID(alGetBufferfv,(ALuint name, ALenum param, ALfloat *values),(name,param,values),3,(CallerInfo *callerinfo, ALuint name, ALenum param, ALfloat *origvalues, uint32 numvals, ALfloat *values),(callerinfo,name,param,origvalues,numvals,values))
ENTRYPOINTVOID(alGetBufferf,(ALuint name, ALenum param, ALfloat *value),(name,param,value),3,(CallerInfo *callerinfo, ALuint name, ALenum param, ALfloat *origvalue, ALfloat value),(callerinfo,name,param,origvalue,value))
ENTRYPOINTVOID(alGetBuffer3f,(ALuint name, ALenum param, ALfloat *value1, ALfloat *value2, ALfloat *value3),(name,param,value1,value2,value3),5,(CallerInfo *callerinfo, ALuint name, ALenum param, ALfloat *origvalue1, ALfloat *origvalue2, ALfloat *origvalue3, ALfloat value1, ALfloat value2, ALfloat value3),(callerinfo,name,param,origvalue1,origvalue2,origvalue3,value1,value2,value3))
ENTRYPOINTVOID(alGetBufferi,(ALuint name, ALenum param, ALint *value),(name,param,value),3,(CallerInfo *callerinfo, ALuint name, ALenum param, ALint *origvalue, ALint value),(callerinfo,name,param,origvalue,value))
ENTRYPOINTVOID(alGetBuffer3i,(ALuint name, ALenum param, ALint *value1, ALint *value2, ALint *value3),(name,param,value1,value2,value3),5,(CallerInfo *callerinfo, ALuint name, ALenum param, ALint *origvalue1, ALint *origvalue2, ALint *origvalue3, ALint value1, ALint value2, ALint value3),(callerinfo,name,param,origvalue1,origvalue2,origvalue3,value1,value2,value3))
ENTRYPOINTVOID(alGetBufferiv,(ALuint name, ALenum param, ALint *values),(name,param,values),3,(CallerInfo *callerinfo, ALuint name, ALenum param, ALint *origvalues, uint32 numvals, ALint *values),(callerinfo,name,param,origvalues,numvals,values))

ENTRYPOINT_EXTENSIONS_BEGIN()
ENTRYPOINTVOID(alTracePushScope,(const ALchar *str),(str),1,(CallerInfo *callerinfo, const ALchar *str),(callerinfo,str))
ENTRYPOINTVOID(alTracePopScope,(void),(),0,(CallerInfo *callerinfo),(callerinfo))
ENTRYPOINTVOID(alTraceMessage,(const ALchar *str),(str),1,(CallerInfo *callerinfo, const ALchar *str),(callerinfo,str))
ENTRYPOINTVOID(alTraceBufferLabel,(ALuint name, const ALchar *str),(name,str),2,(CallerInfo *callerinfo, ALuint name, const ALchar *str),(callerinfo,name,str))
ENTRYPOINTVOID(alTraceSourceLabel,(ALuint name, const ALchar *str),(name,str),2,(CallerInfo *callerinfo, ALuint name, const ALchar *str),(callerinfo,name,str))
ENTRYPOINTVOID(alcTraceDeviceLabel,(ALCdevice *device, const ALchar *str),(device,str),2,(CallerInfo *callerinfo, ALCdevice *device, const ALCchar *str),(callerinfo,device,str))
ENTRYPOINTVOID(alcTraceContextLabel,(ALCcontext *ctx, const ALchar *str),(ctx,str),2,(CallerInfo *callerinfo, ALCcontext *ctx, const ALCchar *str),(callerinfo,ctx,str))

#undef ENTRYPOINT
#undef ENTRYPOINTVOID
#undef ENTRYPOINT_EXTENSIONS_BEGIN

